package com.railway.business.baseinfo.service;

import com.railway.business.baseinfo.domain.BasePreventIce;
import java.util.List;
/**
* = 九防台账-防冰
* @author wuhonghao
* @date 2021/11/12
*/
public interface IBasePreventIceService{

    /**
    * 新增
    */
    int create(BasePreventIce basePreventIce);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BasePreventIce basePreventIce);

    /**
    * 获取单个
    */
    BasePreventIce getInfo(String id);

    /**
    * 查询列表
    */
    List<BasePreventIce> getList(BasePreventIce basePreventIce);

}
